classification
Title: test_open() of test_eintr timeout after 10 min on "x86-64 El Capitan 3.x"
Type: Stage: resolved
Components: macOS, Tests Versions: Python 3.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: ned.deily, ronaldoussoren, vstinner
Priority: normal Keywords: buildbot

Created on 2017-06-30 14:17 by vstinner, last changed 2018-09-19 23:27 by vstinner. This issue is now closed.

Messages (2)
msg297407 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-06-30 14:17
http://buildbot.python.org/all/builders/x86-64%20El%20Capitan%203.x/builds/413/steps/test/logs/stdio

0:32:36 load avg: 1.58 [328/406/1] test_eintr failed
test_all (test.test_eintr.EINTRTests) ... FAIL

======================================================================
FAIL: test_all (test.test_eintr.EINTRTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/Users/buildbot/buildarea/3.x.billenstein-elcapitan/build/Lib/test/test_eintr.py", line 18, in test_all
    script_helper.assert_python_ok("-u", tester)
  File "/Users/buildbot/buildarea/3.x.billenstein-elcapitan/build/Lib/test/support/script_helper.py", line 151, in assert_python_ok
    return _assert_python(True, *args, **env_vars)
  File "/Users/buildbot/buildarea/3.x.billenstein-elcapitan/build/Lib/test/support/script_helper.py", line 137, in _assert_python
    res.fail(cmd_line)
  File "/Users/buildbot/buildarea/3.x.billenstein-elcapitan/build/Lib/test/support/script_helper.py", line 79, in fail
    err))
AssertionError: Process return code is 1
command line: ['/Users/buildbot/buildarea/3.x.billenstein-elcapitan/build/python.exe', '-X', 'faulthandler', '-I', '-u', '/Users/buildbot/buildarea/3.x.billenstein-elcapitan/build/Lib/test/eintrdata/eintr_tester.py']

stdout:
---
test_read (__main__.OSEINTRTest) ... ok
test_wait (__main__.OSEINTRTest) ... ok
test_wait3 (__main__.OSEINTRTest) ... ok
test_wait4 (__main__.OSEINTRTest) ... ok
test_waitpid (__main__.OSEINTRTest) ... ok
test_write (__main__.OSEINTRTest) ... ok
test_accept (__main__.SocketEINTRTest) ... ok
test_open (__main__.SocketEINTRTest) ...
---

stderr:
---
Timeout (0:10:00)!
Thread 0x00007fff79b17000 (most recent call first):
  File "/Users/buildbot/buildarea/3.x.billenstein-elcapitan/build/Lib/test/eintrdata/eintr_tester.py", line 343 in python_open
  File "/Users/buildbot/buildarea/3.x.billenstein-elcapitan/build/Lib/test/eintrdata/eintr_tester.py", line 339 in _test_open
  File "/Users/buildbot/buildarea/3.x.billenstein-elcapitan/build/Lib/test/support/__init__.py", line 556 in wrapper
  File "/Users/buildbot/buildarea/3.x.billenstein-elcapitan/build/Lib/test/eintrdata/eintr_tester.py", line 348 in test_open
  File "/Users/buildbot/buildarea/3.x.billenstein-elcapitan/build/Lib/unittest/case.py", line 615 in run
  File "/Users/buildbot/buildarea/3.x.billenstein-elcapitan/build/Lib/unittest/case.py", line 663 in __call__
  File "/Users/buildbot/buildarea/3.x.billenstein-elcapitan/build/Lib/unittest/suite.py", line 122 in run
  File "/Users/buildbot/buildarea/3.x.billenstein-elcapitan/build/Lib/unittest/suite.py", line 84 in __call__
  File "/Users/buildbot/buildarea/3.x.billenstein-elcapitan/build/Lib/unittest/suite.py", line 122 in run
  File "/Users/buildbot/buildarea/3.x.billenstein-elcapitan/build/Lib/unittest/suite.py", line 84 in __call__
  File "/Users/buildbot/buildarea/3.x.billenstein-elcapitan/build/Lib/unittest/runner.py", line 176 in run
  File "/Users/buildbot/buildarea/3.x.billenstein-elcapitan/build/Lib/test/support/__init__.py", line 1896 in _run_suite
  File "/Users/buildbot/buildarea/3.x.billenstein-elcapitan/build/Lib/test/support/__init__.py", line 1940 in run_unittest
  File "/Users/buildbot/buildarea/3.x.billenstein-elcapitan/build/Lib/test/eintrdata/eintr_tester.py", line 488 in test_main
  File "/Users/buildbot/buildarea/3.x.billenstein-elcapitan/build/Lib/test/eintrdata/eintr_tester.py", line 492 in <module>
---

----------------------------------------------------------------------
Ran 1 test in 603.735s

FAILED (failures=1)
Warning -- files was modified by test_eintr
  Before: []
  After:  ['@test_40253_tmp'] 
test test_eintr failed
msg301560 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-09-07 01:09
The test also failed on x86-64 Sierra 3.x... twice:

http://buildbot.python.org/all/builders/x86-64%20Sierra%203.x/builds/680
History
Date User Action Args
2018-09-19 23:27:38vstinnersetstatus: open -> closed
resolution: out of date
stage: resolved
2017-09-07 01:09:08vstinnersetmessages: + msg301560
2017-06-30 14:19:05vstinnersettitle: test_open() of test_eintr timeout after 10 min -> test_open() of test_eintr timeout after 10 min on "x86-64 El Capitan 3.x"
2017-06-30 14:17:08vstinnercreate